---
CommandSpec:
  name: 'repeating-composite-demo'
  aliases: []
  userObject: picocli.issue777.CompositeGroupDemo
  helpCommand: false
  defaultValueProvider: null
  versionProvider: null
  version: []
  ArgGroups:
  - synopsis: '(([-f] (-t | -v | -w))... | ((-x | -y | -z) [-a=<a> -b=<b> -c=<c>])...)'
    multiplicity: 1
    exclusive: true
    heading: null
    headingKey: null
    subgroupCount: 2
    argCount: 0
  Options:
  - names: [-a]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(int, aux=[int], collection=false, map=false)
    arity: 1
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<a>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD a in picocli.issue777.CompositeGroupDemo.Dependent)
    setter: AnnotatedElementHolder(FIELD a in picocli.issue777.CompositeGroupDemo.Dependent)
  - names: [-b]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(int, aux=[int], collection=false, map=false)
    arity: 1
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<b>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD b in picocli.issue777.CompositeGroupDemo.Dependent)
    setter: AnnotatedElementHolder(FIELD b in picocli.issue777.CompositeGroupDemo.Dependent)
  - names: [-c]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(int, aux=[int], collection=false, map=false)
    arity: 1
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<c>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD c in picocli.issue777.CompositeGroupDemo.Dependent)
    setter: AnnotatedElementHolder(FIELD c in picocli.issue777.CompositeGroupDemo.Dependent)
  - names: [-f]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: false
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<f>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD f in picocli.issue777.CompositeGroupDemo.Composite2)
    setter: AnnotatedElementHolder(FIELD f in picocli.issue777.CompositeGroupDemo.Composite2)
  - names: [-t]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<t>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD t in picocli.issue777.CompositeGroupDemo.Exclusive2)
    setter: AnnotatedElementHolder(FIELD t in picocli.issue777.CompositeGroupDemo.Exclusive2)
  - names: [-v]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<v>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD v in picocli.issue777.CompositeGroupDemo.Exclusive2)
    setter: AnnotatedElementHolder(FIELD v in picocli.issue777.CompositeGroupDemo.Exclusive2)
  - names: [-w]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<w>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD w in picocli.issue777.CompositeGroupDemo.Exclusive2)
    setter: AnnotatedElementHolder(FIELD w in picocli.issue777.CompositeGroupDemo.Exclusive2)
  - names: [-x]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<x>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD x in picocli.issue777.CompositeGroupDemo.Exclusive)
    setter: AnnotatedElementHolder(FIELD x in picocli.issue777.CompositeGroupDemo.Exclusive)
  - names: [-y]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<y>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD y in picocli.issue777.CompositeGroupDemo.Exclusive)
    setter: AnnotatedElementHolder(FIELD y in picocli.issue777.CompositeGroupDemo.Exclusive)
  - names: [-z]
    usageHelp: false
    versionHelp: false
    description: []
    descriptionKey: ''
    typeInfo: CompileTimeTypeInfo(boolean, aux=[boolean], collection=false, map=false)
    arity: 0
    splitRegex: ''
    interactive: false
    required: true
    hidden: false
    hideParamSyntax: false
    defaultValue: 'null'
    showDefaultValue: ON_DEMAND
    hasInitialValue: false
    initialValue: 'null'
    paramLabel: '<z>'
    converters: []
    completionCandidates: null
    getter: AnnotatedElementHolder(FIELD z in picocli.issue777.CompositeGroupDemo.Exclusive)
    setter: AnnotatedElementHolder(FIELD z in picocli.issue777.CompositeGroupDemo.Exclusive)
  PositionalParams: []
  UnmatchedArgsBindings: []
  Mixins: []
  UsageMessageSpec:
    width: 80
    abbreviateSynopsis: false
    hidden: false
    showDefaultValues: false
    sortOptions: true
    requiredOptionMarker: ' '
    headerHeading: ''
    header: []
    synopsisHeading: 'Usage: '
    customSynopsis: []
    descriptionHeading: ''
    description: []
    parameterListHeading: ''
    optionListHeading: ''
    commandListHeading: 'Commands:%n'
    footerHeading: ''
    footer: []
  ParserSpec:
    separator: '='
    endOfOptionsDelimiter: '--'
    expandAtFiles: true
    atFileCommentChar: '#'
    overwrittenOptionsAllowed: false
    unmatchedArgumentsAllowed: false
    unmatchedOptionsArePositionalParams: false
    stopAtUnmatched: false
    stopAtPositional: false
    posixClusteredShortOptionsAllowed: true
    aritySatisfiedByAttachedOptionParam: false
    caseInsensitiveEnumValuesAllowed: false
    collectErrors: false
    limitSplit: false
    toggleBooleanFlags: false
  Subcommands: []
